Images
Bulk Add Image Relationships
deprecated
Creates relationships between an image and up to 100 items (products or variants) with optional priority ordering. Validates that each item exists and is not deleted before creating the relationship. Returns lists of successful and failed relationship creations with error details. Deprecated: use PUT /api/v2///dam/images/items instead.
PUT
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
images
/
{image_id}
/
relationships
/
bulk
Bulk Add Image Relationships
curl --request PUT \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/{image_id}/relationships/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"item_id": "<string>",
"priority": 2
}
]
}
'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/{image_id}/relationships/bulk"
payload = { "items": [
{
"item_id": "<string>",
"priority": 2
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: [{item_id: '<string>', priority: 2}]})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/{image_id}/relationships/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/{image_id}/relationships/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'items' => [
[
'item_id' => '<string>',
'priority' => 2
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/{image_id}/relationships/bulk"
payload := strings.NewReader("{\n \"items\": [\n {\n \"item_id\": \"<string>\",\n \"priority\": 2\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/{image_id}/relationships/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"items\": [\n {\n \"item_id\": \"<string>\",\n \"priority\": 2\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/{image_id}/relationships/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"items\": [\n {\n \"item_id\": \"<string>\",\n \"priority\": 2\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"failed": [
{
"item_id": "<string>",
"item_type": "<string>",
"reason": "<string>"
}
],
"successful": [
{
"item_id": "<string>",
"item_type": "product",
"priority": 2
}
]
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}Authorizations
Management API token, sent as Authorization: Bearer <token>.
Path Parameters
Team slug
App slug
Image ID
Body
application/json
Items to link to the image
Maximum array length:
100Show child attributes
Show child attributes
⌘I
Bulk Add Image Relationships
curl --request PUT \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/{image_id}/relationships/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"item_id": "<string>",
"priority": 2
}
]
}
'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/{image_id}/relationships/bulk"
payload = { "items": [
{
"item_id": "<string>",
"priority": 2
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: [{item_id: '<string>', priority: 2}]})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/{image_id}/relationships/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/{image_id}/relationships/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'items' => [
[
'item_id' => '<string>',
'priority' => 2
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/{image_id}/relationships/bulk"
payload := strings.NewReader("{\n \"items\": [\n {\n \"item_id\": \"<string>\",\n \"priority\": 2\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/{image_id}/relationships/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"items\": [\n {\n \"item_id\": \"<string>\",\n \"priority\": 2\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/images/{image_id}/relationships/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"items\": [\n {\n \"item_id\": \"<string>\",\n \"priority\": 2\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"failed": [
{
"item_id": "<string>",
"item_type": "<string>",
"reason": "<string>"
}
],
"successful": [
{
"item_id": "<string>",
"item_type": "product",
"priority": 2
}
]
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}